<?php

function supprdem(&$row) {
//message système-GiBii à un élève
//La demande et les réponses ont été supprimées à la suite de 2 refus
//Tout se trouve dans textes.texte
list(,$code,$luquand,$texte_id,$to_id)=$row;
list(,$texte,$ecritquand,$attributs,$from_id,$suivant)=mysql_fetch_array(query("SELECT * FROM textes WHERE texte_id=$texte_id"));

}

function avertir($menu) {
$res=query("SELECT * FROM averts, textes
			WHERE averts.texte_id=textes.texte_id
			AND	  to_id=".$_SESSION['sess_compte_id']);
if (!mysql_num_rows($res))
	return;
//il y a du boulot
while ($row=mysql_fetch_array($res)) {
    $row['code']($row);   //exécute la fonction associée au code
    query("DELETE FROM averts WHERE avert_id=".$row['avert_id']);
    //purge si textes.texte_id n'est plus pointé
    if (!mysql_num_rows(query("SELECT * FROM averts WHERE texte_id=".$row['texte_id'])))
    	query("DELETE FOM textes WHERE texte_id=".$row['texte_id']);
    }
}


?>